
kerio.waw.ui.userImportList = {

x_m: function() {
this.x_ga = 'x_1zd'; var x_2w = this.x_ga + '_';
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_5o = {
x_1p: 'userList',
x_1da: false, x_5s: 'x_cr',
x_5y: 50,
x_5x: {
x_1e: [
{x_7s: 'userName',       x_23:    x_x('Username',    'common')  , x_1u: 120, x_7u: kerio.waw.shared.x_3e.x_8q.x_cv},
{x_7s: 'fullName',       x_23:    x_x('Full Name',   'common')   , x_1u: 100},
{x_7s: 'description',    x_23:    x_x('Description', 'common')}
]
},
x_5z: []
}; var x_3l = new kerio.lib.x_4g(x_2w + 'x_3l', x_5o);
x_3l.x_4k = kerio.lib.x_6b.x_6d.x_6e;
var x_10 = {
x_1u: 500,
x_1v: 400,
x_1x: x_3l,
x_1y: x_x('Import User Accounts', 'userImportList'),
x_1z: [
{
x_20: true,
x_1j: 'x_jh',
x_23: x_x('OK', 'common'),

x_25: function(x_32) {
x_32.x_16.x_1ze();
},
x_24: {
x_1n: x_x('Importing all user accounts…', 'common')
}
},
{
x_21: true,
x_23: x_x('Cancel', 'common')
}
]
}; var x_16 = new kerio.lib.x_26(this.x_ga, x_10);
x_16.x_3l = x_3l;
this.x_2a(x_16);
return x_16;
},
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
this.x_7w               = x_28.x_7w;
this.x_66            = x_28.x_66;
this.x_1zf  = x_28.x_1zf;
this.x_1zg          = x_28.x_1zg;
this.x_1zh        = x_28.x_1zh;
x_28.x_1zi.x_2r(); this.x_3l.x_7k(x_28.x_43);
}; 
x_2b.x_1ze = function() {
var
x_da = [],
x_op = this.x_1zh;
x_da.push({
object: 'UserManager',
method: (this.x_1zf ? 'importAdUsers' : 'importNtUsers'),
params: this.x_66
});
x_da.push({
object: 'DomainManager',
method: 'set',
params: {
domainIds: [x_op.id],
details: x_op
}
});x_da.push({ object: 'DomainManager',
method: 'apply'
});kerio.waw.shared.x_3e.x_db({
x_da: x_da,
x_2e: this.x_1zj,
x_2q: this
}); };

x_2b.x_1zj = function(x_6v) {
this.x_2r();
this.x_7w.x_1zb(); }; } }; 